require 'rubygems'
require 'action_mailer'


class SimpleMailer < ActionMailer::Base
    def simple_message(recipient)
        from 'dan@meatballhat.com'
        recipients recipient
        subject 'A single-part message for you'
        body 'This message has a plain text body.'
    end
end


puts 'generated message:'
puts SimpleMailer.simple_message('me@localhost')

ActionMailer::Base.sendmail_settings = {
    :address => 'localhost',
    :port => 25,
    :domain => 'localhost'
}

SimpleMailer.simple_message('me@localhost').deliver
